#!/bin/sh 

HOOK_DIR="/var/packages/CloudSync/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
APP_HOOK="${HOOK_DIR}/app-hook"

case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		${APP_HOOK} --sdk-mod-ver
	;;

	# execute pre hook
	--pre)
		${APP_HOOK} --pre-set
	;;

	# execute post hook
	--post)
		${APP_HOOK} --post-set

	;;

	*)
	;;
esac
