#!/bin/sh

HOOK_DIR="/var/packages/CloudSync/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
DIRSVS_HOOK="${HOOK_DIR}/dirsvs-hook"


case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		${DIRSVS_HOOK} --sdk-mod-ver
	;;

	# execute post hook
	--post)
		${DIRSVS_HOOK} --post-dirsvs-join
	;;

	*)
	;;
esac
