#!/bin/sh 

HOOK_DIR="/var/packages/CloudSync/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
USER_HOOK="${HOOK_DIR}/user-hook"

case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		${USER_HOOK} --sdk-mod-ver
	;;

	# execute pre hook
	--pre)
		${USER_HOOK} --pre-delete
	;;

	# execute post hook
	--post)
		${USER_HOOK} --post-delete

	;;

	*)
	;;
esac
